Index: WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2172)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 2194)
@@ -28,152 +28,72 @@
                 }
 pt_fees = {
-           "DIF": {'new': "32200",
-                   'returning': "17700",
-                   'description': 'Diploma in French'},
-           "DTA": {'new':"34200",
-                   'returning':"19700",
-                  'description': 'Diploma in Theatre Arts'},
-           "DISD": {'new':"42200",
-                    'returning':"27700",
-                   'description': 'Diploma in International Studies'},
-           "DFA": {'new':"34200",
-                   'returning':"19700",
-                  'description': 'Diploma in Fine & Applied Arts'},
-           "DAE": {'new':"41700",
-                   'returning':"25700",
-                  'description': 'Diploma in Agric Economics'},
-           "DFS": {'new':"38700",
-                   'returning':"22700",
-                  'description': 'Diploma in Fishery, Forestry & Wild Life'},
-           "DFBS": {'new':"38700",
-                    'returning':"22700",
-                   'description': 'Diploma in Food & Breweries'},
-           "DIA": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Diploma in Accounting'},
-           "DBF": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Diploma in Banking & Finance'},
-           "DAIC": {'new':"38700",
-                    'returning':"22700",
-                   'description': 'Diploma in Applied Industrial Chemistry'},
-           "DAM": {'new':"38700",
-                   'returning':"22700",
-                  'description': 'Diploma in Applied Microbiology'},
-           "DIG": {'new':"41700",
-                   'returning':"25700",
-                  'description': 'Diploma in Geology'},
-           "DSLT": {'new':"41700",
-                    'returning':"25700",
-                   'description': 'Diploma in Science Laboratory Technology'},
-           "DICE": {'new':"43700",
-                    'returning':"27700",
-                   'description': 'Diploma in Computer Engineering'},
-           "DICHE": {'new':"43700",
-                     'returning':"27700",
-                    'description': 'Diploma in Chemical Engineering'},
-           "DDP": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Diploma in Data Processing'},
-           "DCG": {'new':"34200",
-                   'returning':"19700",
-                  'description': 'Diploma in Cartography'},
-           "DSW": {'new':"40200",
-                   'returning':"25700",
-                  'description': 'Diploma in Social Works'},
-           "DIL": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Diploma in Law'},
-           "DHT": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Diploma in Recreation, Hotel & Tourism Mgt.'},
-           "DEC": {'new':"36200",
-                   'returning':"21200",
-                  'description': 'Certificate in Early Child Health & Dev.'},
-           "DLS": {'new':"37200",
-                   'returning':"24200",
-                  'description': 'Diploma in Library & Information Science'},
-           "BFA": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Bachelor in Fine & Applied Arts'},
-           "BTA": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Bachelor in Theatre Arts'},
-           "BEL": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Bachelor in English'},
-           "BFR": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Bachelor in French'},
-           "BISD": {'new':"42200",
-                    'returning':"27700",
-                   'description': 'Bachelor in International Std. & Diplomacy'},
-           "BAE": {'new':"48700",
-                   'returning':"32700",
-                  'description': 'Bachelor in Agric Econs'},
-           "BAN": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Bachelor in Animal Science'},
-           "BAC": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Bachelor in Crop Science'},
-           "BAS": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Bachelor in Soil Science'},
-           "BIA": {'new':"47200",
-                   'returning':"32700",
-                  'description': 'Bachelor in Accounting'},
-           "BBF": {'new':"47200",
-                   'returning':"32700",
-                  'description': 'Bachelor in Banking & Finance'},
-           "BLG": {'new':"37200",
-                   'returning':"22700",
-                  'description': 'Bachelor in Local Goverment'},
-           "BPA": {'new':"47200",
-                   'returning':"32700",
-                  'description': 'Bachelor in Public Admin'},
-           "BSW": {'new':"42200",
-                   'returning':"27700",
-                  'description': 'Bachelor in  Social Works'},
-           "BES": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Bachelor in Environmental Science'},
-           "BSLT": {'new':"43700",
-                    'returning':"27700",
-                   'description': 'Bachelor in Science Lab Technology'},
-           "BIP": {'new':"43700",
-                   'returning':"27700",
-                  'description': 'Bachelor in Industrial Physics'},
-           "BSCS": {'new':"45700",
-                    'returning':"29700",
-                   'description': 'Bachelor in Statistics with Computer'},
-           "LLBPT": {'new':"47200",
-                     'returning':"32700",
-                    'description': 'Bachelor in Law'},
-           "ODPT": {'new':"58700",
-                    'returning':"42700",
-                   'description': 'Doctor of Optometry'},
-           "PHARMD": {'new':"58700",
-                      'returning':"44700",
-                     'description': 'Doctor of Pharmacy'},
-           "BEEL": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Electrical/Electronics'},
-           "BECE": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Chemical Engineering'},
-           "BECO": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Computer Engineering'},
-           "BPRE": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Production Engineering'},
-           "BEPE": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Petroleum Engineering'},
-           "BECV": {'new':"38700",
-                    'returning':"32700",
-                   'description': 'Bachelor in Civil Engineering'},
-          }
+            "DIF":{'description':"Diploma in French",'returning':"17700",'new':"32200"},
+            "DTA":{'description':"Diploma in Theatre Arts",'returning':"19700",'new':"34200"},
+            "DISD":{'description':"Diploma in International Studies",'returning':"27700",'new':"42200"},
+            "DFA":{'description':"Diploma in Fine & Applied Arts",'returning':"19700",'new':"34200"},
+            "DAE":{'description':"Diploma in Agric Econs",'returning':"25700",'new':"41700"},
+            "DFS":{'description':"Diploma in Fishery, Forestry & Wildlife",'returning':"22700",'new':"38700"},
+            "DAC":{'description':"Diploma in Agric Crop Science",'returning':"19700",'new':"35700"},
+            "DFBS":{'description':"Diploma in Food & Brewering Science",'returning':"22700",'new':"38700"},
+            "DIA":{'description':"Diploma in Accounting",'returning':"27700",'new':"42200"},
+            "DBF":{'description':"Diploma in Banking & Finance",'returning':"27700",'new':"42200"},
+            "DAIC":{'description':"Diploma in Applied Industrial Chemistry",'returning':"22700",'new':"38700"},
+            "DAM":{'description':"Diploma in Applied Microbiology",'returning':"22700",'new':"38700"},
+            "DIG":{'description':"Diploma in Geology",'returning':"25700",'new':"41700"},
+            "DSLT":{'description':"Diploma in Science Lab Tech.",'returning':"25700",'new':"41700"},
+            "DES":{'description':"Diploma in Environmental Science",'returning':"22700",'new':"38700"},
+            "DICE":{'description':"Diploma in Computer Engineering",'returning':"27700",'new':"43700"},
+            "DICHE":{'description':"Diploma in Chemical Engineering",'returning':"27700",'new':"43700"},
+            "DDP":{'description':"Diploma in Data Processing",'returning':"27700",'new':"43700"},
+            "DCG":{'description':"Diploma in Cartography",'returning':"19700",'new':"34200"},
+            "DSW":{'description':"Diploma in Social Works",'returning':"25700",'new':"40200"},
+            "DIL":{'description':"Diploma in Law",'returning':"27700",'new':"42200"},
+            "DHT":{'description':"Diploma in Recreation, Hotel & Tourism Management",'returning':"27700",'new':"42200"},
+            "DIE":{'description':"Diploma in Epidermiology",'returning':"27700",'new':"42200"},
+            "CIE":{'description':"Certificate in Epidermiology",'returning':"21200",'new':"36200"},
+            "CEHD":{'description':"Certificate in early Child Health & Development",'returning':"21200",'new':"36200"},
+            "DLS":{'description':"Diploma in Library & Information Science",'returning':"24200",'new':"37200"},
+            "BFA":{'description':"Bachelor in Fine & Applied Arts",'returning':"27700",'new':"42200"},
+            "BTA":{'description':"Bachelor in Theatre Arts",'returning':"27700",'new':"42200"},
+            "BEL":{'description':"Bachelor in English",'returning':"27700",'new':"42200"},
+            "BFR":{'description':"Bachelor in French",'returning':"27700",'new':"42200"},
+            "BISD":{'description':"Bachelor in International Studies & Diplomacy",'returning':"27700",'new':"42200"},
+            "BAE":{'description':"Bachelor in Agric Econs",'returning':"32700",'new':"48700"},
+            "BAN":{'description':"Bachelor in Animal Science",'returning':"27700",'new':"43700"},
+            "BAC":{'description':"Bachelor in Crop Science",'returning':"27700",'new':"43700"},
+            "BAS":{'description':"Bachelor in Soil Science",'returning':"27700",'new':"43700"},
+            "BIA":{'description':"Bachelor in Accounting",'returning':"32700",'new':"47200"},
+            "BBF":{'description':"Bachelor in Banking & Finance",'returning':"32700",'new':"47200"},
+            "BLG":{'description':"Bachelor in Local Govt. Admin.",'returning':"22700",'new':"37200"},
+            "BPA":{'description':"Bachelor in Public Admin.",'returning':"32700",'new':"47200"},
+            "BSW":{'description':"Bachelor in Social Works",'returning':"27700",'new':"42200"},
+            "BES":{'description':"Bachelor in Environmental Science",'returning':"27700",'new':"43700"},
+            "BSLT":{'description':"Bachelor in Science Lab. Tech.",'returning':"27700",'new':"43700"},
+            "BIP":{'description':"Bachelor in Industrial Physics",'returning':"27700",'new':"43700"},
+            "BSCS":{'description':"Bachelor in Statistics & Computer",'returning':"29700",'new':"45700"},
+            "BEEL":{'description':"Bachelor in Electronic & Electrical Engineering",'returning':"32700",'new':"48700"},
+            "BECV":{'description':"Bachelor in Civil Engineering",'returning':"32700",'new':"48700"},
+            "BEMCH":{'description':"Bachelor in Mechanical Engineering",'returning':"32700",'new':"48700"},
+            "BEPE":{'description':"Bachelor in Petroleum Engineering",'returning':"32700",'new':"48700"},
+            "BESTR":{'description':"Bachelor in Structural Engineering",'returning':"32700",'new':"48700"},
+            "BECE":{'description':"Bachelor in Chemical Engineering",'returning':"32700",'new':"48700"},
+            "BPRE":{'description':"Bachelor in Production Engineering",'returning':"32700",'new':"48700"},
+            "LLBPT":{'description':"Bachelor in Law",'returning':"32700",'new':"48700"},
+            "ODPT":{'description':"Doctor of Optometry",'returning':"42700",'new':"58700"},
+            "PHARMD":{'description':"Doctor of Pharmacy",'returning':"44700",'new':"58700"},
+            "CPA":{'description':"Certificate in Public Admin",'returning':"21200",'new':"35200"},
+            "DHAM":{'description':"Diploma in Health Management",'returning':"24200",'new':"37200"},
+            "DNAM":{'description':"Diploma in Nursing Admin & Management",'returning':"27200",'new':"40200"},
+            "DPA":{'description':"Diploma in Public Admin",'returning':"27200",'new':"40200"},
+            "DHS":{'description':"Diploma in Primary Health Care & Statistics",'returning':"27200",'new':"40200"},
+            "ADHFM":{'description':"Advanced Diploma in Health Care Financing and Management",'returning':"29200",'new':"42200"},
+            "DAE":{'description':"Diploma in Adult Education",'returning':"20200",'new':"33200"},
+            "DME":{'description':"Diploma in Maths Education",'returning':"23200",'new':"36200"},
+            "DPE":{'description':"Diploma in Physical Education",'returning':"23200",'new':"36200"},
+            "DHE":{'description':"Diploma in Health Education",'returning':"23200",'new':"36200"},
+            "DEC":{'description':"Diploma in Early Childhood Education",'returning':"20200",'new':"33200"},
+            "DLS":{'description':"Diploma in Library & Information Science",'returning':"24200",'new':"37200"}
+         }
+
 #sessionstring = "School Fee for Session %s" % context.portal_vocabularies.sessions.get(session)
 # sessionstring = "School Fee for Session %s" % context.sessions_voc(key=session)