Index: WAeUP_SRP/base/i18n/en.po
===================================================================
--- WAeUP_SRP/base/i18n/en.po	(revision 2210)
+++ 	(revision )
@@ -1,106 +1,0 @@
-# Gettext Message File for default.
-# Your Name <your@email>, Year
-msgid ""
-msgstr ""
-"Project-Id-Version: default\n"
-"POT-Creation-Date: 2005-06-17 10:47default\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: Your Name <your@email>\n"
-"Language-Team: Name <email>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=ISO-8859-15\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
-"Language-Code: en\n"
-"Language-Name: English\n"
-"Preferred-encodings: latin9 utf-8\n"
-"Domain: default\n"
-
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <option value="." content="widget/title_or_id" attributes="value widget/getWidgetId" condition="widget/is_i18n">Type</option>
-msgid "Type"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="addwidget_button" type="submit" class="context" value="button_add" />
-msgid "button_add"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <input onclick="history.back()" type="button" class="context" value="button_cancel" />
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "button_cancel"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="cpsdocument_edit_button" type="submit" class="standalone" value="button_change" condition="not:creation" />
-msgid "button_change"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="cpsdocument_create_button" type="submit" class="standalone" value="button_create" condition="creation" />
-msgid "button_create"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="destructive" value="button_delete" attributes="name string:deleterow_${repeat/row/index};
-#.                                 onclick python:'return window.confirm(\'%s\')' %
-#.                                   (cpsmcat('description_confirm_delete'), )" />
-msgid "button_delete"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="context moveDown" value="button_move_down" attributes="name string:downrow_${repeat/row/index}" condition="not:repeat/row/end" />
-msgid "button_move_down"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="context moveUp" value="button_move_up" attributes="name string:uprow_${repeat/row/index}" condition="not:repeat/row/start" />
-msgid "button_move_up"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <input type="submit" class="standalone" value="button_publish" />
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "button_publish"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <block>at</block>
-msgid "cpsschema_at"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <label attributes="for elt_hour_id">h</label>
-msgid "cpsschema_hour"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <label attributes="for elt_minute_id">mn</label>
-msgid "cpsschema_minute"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <title fill-slot="title">
-#.     heading_accept_publication_of
-#.     ${item_id (tal replace="here/title_or_id")}
-#.   </title>
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "heading_accept_publication_of ${item_id}"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <block content="widget/help" condition="widget/is_i18n">i18_key-help_for_this_field</block>
-msgid "i18_key-help_for_this_field"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <span class="dlabel" content="widget/label" condition="widget/is_i18n">label</span>
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <b content="widget/label" condition="widget/is_i18n">label</b>
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <span content="widget/label_edit" condition="widget/is_i18n">label</span>
-msgid "label"
-msgstr ""
Index: WAeUP_SRP/base/i18n/fr.po
===================================================================
--- WAeUP_SRP/base/i18n/fr.po	(revision 2210)
+++ 	(revision )
@@ -1,106 +1,0 @@
-# Gettext Message File for default.
-# Your Name <your@email>, Year
-msgid ""
-msgstr ""
-"Project-Id-Version: default\n"
-"POT-Creation-Date: 2005-06-17 10:47default\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: Your Name <your@email>\n"
-"Language-Team: Name <email>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=ISO-8859-15\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=1; plural=0;\n"
-"Language-Code: fr\n"
-"Language-Name: French\n"
-"Preferred-encodings: latin9 utf-8\n"
-"Domain: default\n"
-
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <option value="." content="widget/title_or_id" attributes="value widget/getWidgetId" condition="widget/is_i18n">Type</option>
-msgid "Type"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="addwidget_button" type="submit" class="context" value="button_add" />
-msgid "button_add"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <input onclick="history.back()" type="button" class="context" value="button_cancel" />
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "button_cancel"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="cpsdocument_edit_button" type="submit" class="standalone" value="button_change" condition="not:creation" />
-msgid "button_change"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input name="cpsdocument_create_button" type="submit" class="standalone" value="button_create" condition="creation" />
-msgid "button_create"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="destructive" value="button_delete" attributes="name string:deleterow_${repeat/row/index};
-#.                                 onclick python:'return window.confirm(\'%s\')' %
-#.                                   (cpsmcat('description_confirm_delete'), )" />
-msgid "button_delete"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="context moveDown" value="button_move_down" attributes="name string:downrow_${repeat/row/index}" condition="not:repeat/row/end" />
-msgid "button_move_down"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <input type="submit" class="context moveUp" value="button_move_up" attributes="name string:uprow_${repeat/row/index}" condition="not:repeat/row/start" />
-msgid "button_move_up"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <input type="submit" class="standalone" value="button_publish" />
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "button_publish"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <block>at</block>
-msgid "cpsschema_at"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <label attributes="for elt_hour_id">h</label>
-msgid "cpsschema_hour"
-msgstr ""
-
-#: from ../skins/myproject_document/widget_datetime_render.pt
-#.   <label attributes="for elt_minute_id">mn</label>
-msgid "cpsschema_minute"
-msgstr ""
-
-#: from ../skins/myproject_document/accepter_visite.pt
-#.   <title fill-slot="title">
-#.     heading_accept_publication_of
-#.     ${item_id (tal replace="here/title_or_id")}
-#.   </title>
-#: from ../skins/myproject_document/refuser_visite.pt
-msgid "heading_accept_publication_of ${item_id}"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <block content="widget/help" condition="widget/is_i18n">i18_key-help_for_this_field</block>
-msgid "i18_key-help_for_this_field"
-msgstr ""
-
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <span class="dlabel" content="widget/label" condition="widget/is_i18n">label</span>
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <b content="widget/label" condition="widget/is_i18n">label</b>
-#: from ../skins/myproject_document/myproject_layout_lib.pt
-#.   <span content="widget/label_edit" condition="widget/is_i18n">label</span>
-msgid "label"
-msgstr ""
Index: WAeUP_SRP/base/i18n/waeup_default.po
===================================================================
--- WAeUP_SRP/base/i18n/waeup_default.po	(revision 2210)
+++ WAeUP_SRP/base/i18n/waeup_default.po	(revision 2238)
@@ -1,6 +1,6 @@
 msgid ""
 msgstr "Project-Id-Version: \n"
-"POT-Creation-Date: 2007-09-05 15:09+WAT\n"
-"PO-Revision-Date: 2007-09-05 15:09+WAT\n"
+"POT-Creation-Date: 2007-09-14 08:09+WAT\n"
+"PO-Revision-Date: 2007-09-14 08:09+WAT\n"
 "Last-Translator:  <>\n"
 "Language-Team: en <>\n"
@@ -31,4 +31,7 @@
 msgstr ""
 
+msgid "Error"
+msgstr "Error"
+
 msgid "False"
 msgstr "False"
@@ -478,4 +481,7 @@
 msgstr "Creation of a revision"
 
+msgid "choose_a_directory"
+msgstr "Choose a directory"
+
 msgid "collector_psm_erase_data_cancel"
 msgstr "Collected data has not been erased."
@@ -484,4 +490,34 @@
 msgstr "All collected data has been erased."
 
+msgid "cpsdir_err_entry_already_exists"
+msgstr "An entry with the same identifier already exists"
+
+msgid "cpsdir_help_homeless"
+msgstr "A private area gives you access to:<br />- a private workspace<br />- a personal calendar<br />- a favorites bookmark<br />- the ability to close/minimize boxes<br />"
+
+msgid "cpsdir_label_create_entry"
+msgstr "Create"
+
+msgid "cpsdir_label_delete_entry"
+msgstr "Delete"
+
+msgid "cpsdir_label_edit_entry"
+msgstr "Edit"
+
+msgid "cpsdir_label_homeless"
+msgstr "Enable private area"
+
+msgid "cpsdir_label_results"
+msgstr "Search results"
+
+msgid "cpsdir_label_search_entry"
+msgstr "Search"
+
+msgid "cpsdir_label_upto_directories"
+msgstr "Up to Directories"
+
+msgid "cpsdir_label_view_entry"
+msgstr "View"
+
 msgid "cpsdoc_Flash_Animation_label_edit"
 msgstr "Flash Animation (swf)"
@@ -871,4 +907,7 @@
 msgstr "The account below is the one on which the password reset on will be done."
 
+msgid "description_too_many_results_refine_query"
+msgstr "There are too many results for your query, please refine your query."
+
 msgid "description_vocabulary_manage_form"
 msgstr "This page allow you to manage vocabularies and their entries."
@@ -1018,4 +1057,7 @@
 msgstr ""
 
+msgid "id"
+msgstr "id"
+
 msgid "img_auto_size"
 msgstr "Automatic"
@@ -1043,5 +1085,5 @@
 
 msgid "label"
-msgstr ""
+msgstr "label"
 
 msgid "label_action_folder"
@@ -1090,4 +1132,10 @@
 msgstr "Compact"
 
+msgid "label_cpsdir_roles_Manager"
+msgstr "Manager"
+
+msgid "label_cpsdir_roles_Member"
+msgstr "Member"
+
 msgid "label_creator"
 msgstr "Creator login"
@@ -1153,4 +1201,7 @@
 msgstr "File to use to fill the text area:"
 
+msgid "label_first_name"
+msgstr "First Name"
+
 msgid "label_folder_view"
 msgstr "Default skin for folders"
@@ -1162,4 +1213,7 @@
 msgstr "From"
 
+msgid "label_full_name"
+msgstr "Full Name"
+
 msgid "label_group"
 msgstr "Group"
@@ -1168,4 +1222,7 @@
 msgstr "Group name"
 
+msgid "label_groups"
+msgstr "Groups"
+
 msgid "label_groups_local_roles_assignment"
 msgstr "Groups local roles assignment"
@@ -1228,4 +1285,7 @@
 msgstr "Last modified:"
 
+msgid "label_last_name"
+msgstr "Last Name"
+
 msgid "label_left"
 msgstr "Left"
@@ -1234,7 +1294,13 @@
 msgstr "Location"
 
+msgid "label_members"
+msgstr "Members"
+
 msgid "label_name"
 msgstr "Name"
 
+msgid "label_no_results"
+msgstr "No match"
+
 msgid "label_none"
 msgstr "Unsorted"
@@ -1261,4 +1327,13 @@
 msgstr "Right"
 
+msgid "label_roles"
+msgstr "Roles"
+
+msgid "label_roles_Manager"
+msgstr "Manager"
+
+msgid "label_roles_Member"
+msgstr "Member"
+
 msgid "label_search_all_site"
 msgstr "entire site"
@@ -1288,4 +1363,7 @@
 msgstr "Title"
 
+msgid "label_selection"
+msgstr "Selection"
+
 msgid "label_since ${status_time}"
 msgstr "Since ${status_time}"
@@ -1306,4 +1384,7 @@
 msgstr "Status desc"
 
+msgid "label_subgroups"
+msgstr "Subgroups"
+
 msgid "label_subject"
 msgstr "Subject"
@@ -1462,4 +1543,7 @@
 msgstr "more choices"
 
+msgid "no_dir_available"
+msgstr "No directory available"
+
 msgid "pending"
 msgstr "pending"
@@ -1513,4 +1597,10 @@
 msgstr "Portal default language set"
 
+msgid "psm_entry_created"
+msgstr "Entry created"
+
+msgid "psm_entry_delete_not_allowed_on_non_leaf"
+msgstr "Sorry but this entry can not be deleted, you have to delete all sub entries first."
+
 msgid "psm_entry_deleted"
 msgstr "Entry deleted."