Index: /WAeUP_SRP/base/i18n/waeup_default.po
===================================================================
--- /WAeUP_SRP/base/i18n/waeup_default.po	(revision 2238)
+++ /WAeUP_SRP/base/i18n/waeup_default.po	(revision 2239)
@@ -22,4 +22,7 @@
 msgstr "Contributor"
 
+msgid "Create a document of type ${type_name}"
+msgstr "Create a ${type_name}"
+
 msgid "Created by ${item_creator}. Last modified ${item_modification}."
 msgstr "Created by ${item_creator}. Last modified ${item_modification}."
@@ -31,4 +34,7 @@
 msgstr ""
 
+msgid "Edit ${title}"
+msgstr "Edit \"${title}\""
+
 msgid "Error"
 msgstr "Error"
@@ -61,4 +67,7 @@
 msgstr "Login"
 
+msgid "Metadata of ${title}"
+msgstr "Metadata of \"${title}\""
+
 msgid "My stuff"
 msgstr "Private space"
@@ -73,4 +82,7 @@
 msgstr "Objects: <strong> ${batch_start} - ${batch_limit} </strong> of ${batch_length}"
 
+msgid "Page ${page}"
+msgstr "Page ${page}"
+
 msgid "Portal actions"
 msgstr "Portal actions"
@@ -118,4 +130,10 @@
 msgstr "True"
 
+msgid "Type"
+msgstr "nop"
+
+msgid "Type Title"
+msgstr ""
+
 msgid "Undo"
 msgstr "Undo"
@@ -490,4 +508,7 @@
 msgstr "All collected data has been erased."
 
+msgid "cpdoc_flex_link_label_edit"
+msgstr "Link address: "
+
 msgid "cpsdir_err_entry_already_exists"
 msgstr "An entry with the same identifier already exists"
@@ -520,7 +541,187 @@
 msgstr "View"
 
+msgid "cpsdoc_Event_content_label_edit"
+msgstr "Content of the event: "
+
+msgid "cpsdoc_Event_end_label"
+msgstr " to  "
+
+msgid "cpsdoc_Event_end_label_edit"
+msgstr "To: "
+
+msgid "cpsdoc_Event_start_label"
+msgstr "From  "
+
+msgid "cpsdoc_Event_start_label_edit"
+msgstr "From: "
+
 msgid "cpsdoc_Flash_Animation_label_edit"
 msgstr "Flash Animation (swf)"
 
+msgid "cpsdoc_Image_label_edit"
+msgstr "Image: "
+
+msgid "cpsdoc_Link_label_edit"
+msgstr "Link address: "
+
+msgid "cpsdoc_NewsItem_label_publication_date"
+msgstr "Publication date:"
+
+msgid "cpsdoc_NewsItem_label_related_subjects"
+msgstr "Related subjects:"
+
+msgid "cpsdoc_allow_discussion_label_edit"
+msgstr "Comments activation: "
+
+msgid "cpsdoc_attachedFile_label"
+msgstr "Attached file:"
+
+msgid "cpsdoc_book_display"
+msgstr "Display mode"
+
+msgid "cpsdoc_book_display_flat"
+msgstr "Flat view"
+
+msgid "cpsdoc_book_display_pages"
+msgstr "With separate pages"
+
+msgid "cpsdoc_book_has_search_box_label_edit"
+msgstr "Search Box"
+
+msgid "cpsdoc_book_nb_summary_page_label_edit"
+msgstr "Number of table of content items displayed per page"
+
+msgid "cpsdoc_date_label"
+msgstr "On "
+
+msgid "cpsdoc_date_label_edit"
+msgstr "Date: "
+
+msgid "cpsdoc_description_label_edit"
+msgstr "Description: "
+
+msgid "cpsdoc_faq_answer_label"
+msgstr "Answer: "
+
+msgid "cpsdoc_faq_answer_label_edit"
+msgstr "Answer: "
+
+msgid "cpsdoc_faq_long_question_label_edit"
+msgstr "Question comments: "
+
+msgid "cpsdoc_faq_question_label_edit"
+msgstr "Question: "
+
+msgid "cpsdoc_flex_attachedFile_label"
+msgstr "Attached file: "
+
+msgid "cpsdoc_flex_attachedFile_label_edit"
+msgstr "Attached file: "
+
+msgid "cpsdoc_flex_attachedFile_title"
+msgstr "Attached file"
+
+msgid "cpsdoc_flex_content_label_edit"
+msgstr "Text: "
+
+msgid "cpsdoc_flex_content_right_label_edit"
+msgstr "Right column text (optional): "
+
+msgid "cpsdoc_flex_content_title"
+msgstr "Text block"
+
+msgid "cpsdoc_flex_flash_label"
+msgstr "Flash Animation: "
+
+msgid "cpsdoc_flex_flash_label_edit"
+msgstr "Flash Animation: "
+
+msgid "cpsdoc_flex_flash_title"
+msgstr "Flash Animation"
+
+msgid "cpsdoc_flex_link_title"
+msgstr "Link (URL)"
+
+msgid "cpsdoc_flex_photo_label_edit"
+msgstr "Photo: "
+
+msgid "cpsdoc_flex_photo_title"
+msgstr "Photo"
+
+msgid "cpsdoc_flex_textimage_label_edit"
+msgstr "Text and image block: "
+
+msgid "cpsdoc_flex_textimage_title"
+msgstr "Image and Text block"
+
+msgid "cpsdoc_glossary_dispall_label_edit"
+msgstr "Display all entries if no letter is selected"
+
+msgid "cpsdoc_glossary_expl_label_edit"
+msgstr "Definition"
+
+msgid "cpsdoc_glossary_term_label_edit"
+msgstr "Term"
+
+msgid "cpsdoc_hidden_folder"
+msgstr "Hide this folder in the navigation"
+
+msgid "cpsdoc_hidden_folder_help"
+msgstr "This folder will be hidden in view mode, you can still view/access this folder using 'Folder Contents' or when choosing a target for publishing. Use 'Local Roles' to secure the folder access."
+
+msgid "cpsdoc_imgallery_col_label_edit"
+msgstr "Number of Columns per Page"
+
+msgid "cpsdoc_imgallery_height_label_edit"
+msgstr "Thumbnail Height"
+
+msgid "cpsdoc_imgallery_items_label_edit"
+msgstr "Number of Thumbnails per Page"
+
+msgid "cpsdoc_imgallery_width_label_edit"
+msgstr "Thumbnail Width"
+
+msgid "cpsdoc_imgallery_ziparchiveuploader_label_edit"
+msgstr "Load images from a Zip archive"
+
+msgid "cpsdoc_imgallery_ziparchiveuploader_label_help"
+msgstr "Load any image file (jpeg, png, gif) from a zip archive file."
+
+msgid "cpsdoc_import_zip_title"
+msgstr "Import documents from ZIP File"
+
+msgid "cpsdoc_link_next_page"
+msgstr "Next page"
+
+msgid "cpsdoc_link_previous_page"
+msgstr "Previous page"
+
+msgid "cpsdoc_link_toc"
+msgstr "Table of contents"
+
+msgid "cpsdoc_popup_height_label_edit"
+msgstr "Window Height"
+
+msgid "cpsdoc_popup_mode_label_edit"
+msgstr "Show images in a popup window"
+
+msgid "cpsdoc_popup_width_label_edit"
+msgstr "Window width"
+
+msgid "cpsdoc_preview_label_edit"
+msgstr "Icon: "
+
+msgid "cpsdoc_theme_label_edit"
+msgstr "Theme: "
+
+msgid "cpsdoc_title_label_edit"
+msgstr "Title: "
+
+msgid "cpsdoc_title_toc"
+msgstr "Table of Contents"
+
+msgid "cpsdoc_zippedhtml_label"
+msgstr "Html zip archive"
+
 msgid "cpsschema_at"
 msgstr "at"
@@ -910,4 +1111,7 @@
 msgstr "There are too many results for your query, please refine your query."
 
+msgid "description_up_to"
+msgstr "Up to ${up_id}"
+
 msgid "description_vocabulary_manage_form"
 msgstr "This page allow you to manage vocabularies and their entries."
@@ -1003,4 +1207,10 @@
 msgstr "Don't panic!"
 
+msgid "heading_metadata_edit"
+msgstr "Metadata edition"
+
+msgid "heading_metadata_view"
+msgstr "Metadata"
+
 msgid "heading_password_reminder"
 msgstr "Password reminder"
@@ -1051,7 +1261,25 @@
 msgstr "Unpublish of ${item_id}"
 
+msgid "help_dc_contirbutors"
+msgstr "Entities responsible for making contributions to the content of the resource."
+
+msgid "help_dc_coverage"
+msgstr "The extent or scope of the content of the resource."
+
+msgid "help_dc_relation"
+msgstr "A reference (URL) to a related resource."
+
+msgid "help_dc_source"
+msgstr "A Reference to a resource from which the present resource is derived."
+
+msgid "help_dc_subject"
+msgstr "A topic of the content of the resource."
+
 msgid "help_no_items_to_rename"
 msgstr "You must select one or more items to rename."
 
+msgid "help_transition_comments_modification"
+msgstr "In this field you can give the reason for the modification on this document. Your comments may be used to notify other users."
+
 msgid "i18_key-help_for_this_field"
 msgstr ""
@@ -1111,4 +1339,10 @@
 msgstr "All"
 
+msgid "label_author_asc"
+msgstr "Ascending author"
+
+msgid "label_author_desc"
+msgstr "Descending author"
+
 msgid "label_bottom"
 msgstr "Bottom"
@@ -1132,4 +1366,7 @@
 msgstr "Compact"
 
+msgid "label_coverage"
+msgstr "Coverage"
+
 msgid "label_cpsdir_roles_Manager"
 msgstr "Manager"
@@ -1150,4 +1387,10 @@
 msgstr "Date"
 
+msgid "label_date_asc"
+msgstr "Ascending date"
+
+msgid "label_date_desc"
+msgstr "Descending date"
+
 msgid "label_date_effective_asc"
 msgstr "Effective date"
@@ -1321,7 +1564,13 @@
 msgstr "Password (confirm) "
 
+msgid "label_portal_type"
+msgstr "Resource type"
+
 msgid "label_private_spaces"
 msgstr "Private spaces"
 
+msgid "label_relation"
+msgstr "Relation"
+
 msgid "label_right"
 msgstr "Right"
@@ -1372,4 +1621,7 @@
 msgstr "Sort by"
 
+msgid "label_source"
+msgstr "Source"
+
 msgid "label_start_date"
 msgstr "Start Date (DD/MM/YYYY)"
@@ -1379,8 +1631,8 @@
 
 msgid "label_status_asc"
-msgstr "Status"
+msgstr "Ascending status"
 
 msgid "label_status_desc"
-msgstr "Status desc"
+msgstr "Descending status"
 
 msgid "label_subgroups"
@@ -1390,4 +1642,49 @@
 msgstr "Subject"
 
+msgid "label_subject_Arts"
+msgstr "Arts"
+
+msgid "label_subject_Business"
+msgstr "Business"
+
+msgid "label_subject_Computers"
+msgstr "Computers"
+
+msgid "label_subject_Games"
+msgstr "Games"
+
+msgid "label_subject_Health"
+msgstr "Health"
+
+msgid "label_subject_Home"
+msgstr "Home"
+
+msgid "label_subject_Kids and Teens"
+msgstr "Kids and Teens"
+
+msgid "label_subject_News"
+msgstr "News"
+
+msgid "label_subject_Recreation"
+msgstr "Recreation"
+
+msgid "label_subject_Reference"
+msgstr "Reference"
+
+msgid "label_subject_Regional"
+msgstr "Regional"
+
+msgid "label_subject_Science"
+msgstr "Science"
+
+msgid "label_subject_Shopping"
+msgstr "Shopping"
+
+msgid "label_subject_Society"
+msgstr "Society"
+
+msgid "label_subject_Sports"
+msgstr "Sports"
+
 msgid "label_text_to_search"
 msgstr "Text to search"
@@ -1397,8 +1694,8 @@
 
 msgid "label_title_asc"
-msgstr "Title"
+msgstr "Ascending title"
 
 msgid "label_title_desc"
-msgstr "Title desc"
+msgstr "Descending title"
 
 msgid "label_to"
@@ -1438,4 +1735,7 @@
 msgstr "You are here:&nbsp;"
 
+msgid "label_zip_file"
+msgstr "ZIP File"
+
 msgid "language"
 msgstr "Language"
@@ -1543,4 +1843,7 @@
 msgstr "more choices"
 
+msgid "next"
+msgstr "Next"
+
 msgid "no_dir_available"
 msgstr "No directory available"
@@ -1549,4 +1852,22 @@
 msgstr "pending"
 
+msgid "portal_type_Book_description"
+msgstr "A folder that displays the documents it contains as pages"
+
+msgid "portal_type_Book_title"
+msgstr "Book"
+
+msgid "portal_type_Chapter_description"
+msgstr "A Chapter contain Pages"
+
+msgid "portal_type_Chapter_title"
+msgstr "Book - Chapter"
+
+msgid "portal_type_Document_description"
+msgstr "A basic document that can be used to create an HTML page"
+
+msgid "portal_type_Document_title"
+msgstr "Web Document"
+
 msgid "portal_type_Dummy2_description"
 msgstr "&nbsp;"
@@ -1561,4 +1882,70 @@
 msgstr "Dummy document"
 
+msgid "portal_type_Event_description"
+msgstr "An event"
+
+msgid "portal_type_Event_title"
+msgstr "Event"
+
+msgid "portal_type_FAQ_description"
+msgstr "Set of Frequently Asked Questions"
+
+msgid "portal_type_FAQ_title"
+msgstr "FAQ (Frequently Asked Questions)"
+
+msgid "portal_type_FAQitem_description"
+msgstr "Question / Answer"
+
+msgid "portal_type_FAQitem_title"
+msgstr "FAQ item"
+
+msgid "portal_type_File_description"
+msgstr "Indexed attached file"
+
+msgid "portal_type_File_title"
+msgstr "File"
+
+msgid "portal_type_Flash_Animation_description"
+msgstr "Flash Animation (swf format)"
+
+msgid "portal_type_Flash_Animation_title"
+msgstr "Flash Animation"
+
+msgid "portal_type_Flexible_description"
+msgstr "Flexible document!"
+
+msgid "portal_type_Flexible_title"
+msgstr "Flexible document"
+
+msgid "portal_type_GlossaryItem_description"
+msgstr "Term definition (for glossaries)"
+
+msgid "portal_type_GlossaryItem_title"
+msgstr "Glossary Entry"
+
+msgid "portal_type_Glossary_description"
+msgstr "Set of definitions grouped alphabetically"
+
+msgid "portal_type_Glossary_title"
+msgstr "Glossary"
+
+msgid "portal_type_ImageGallery_description"
+msgstr "Set of pictures"
+
+msgid "portal_type_ImageGallery_title"
+msgstr "Image Gallery"
+
+msgid "portal_type_Image_description"
+msgstr "A picture"
+
+msgid "portal_type_Image_title"
+msgstr "Image"
+
+msgid "portal_type_Link_description"
+msgstr "An URL"
+
+msgid "portal_type_Link_title"
+msgstr "Link"
+
 msgid "portal_type_Members_Workspace_description"
 msgstr "Members Root Workspace"
@@ -1567,4 +1954,22 @@
 msgstr "Members Root Workspace"
 
+msgid "portal_type_NewsItem_description"
+msgstr "A news item document"
+
+msgid "portal_type_NewsItem_title"
+msgstr "News item"
+
+msgid "portal_type_Page_description"
+msgstr "A flexible document displayed as a page in a book"
+
+msgid "portal_type_Page_title"
+msgstr "Book - Page"
+
+msgid "portal_type_PressRelease_description"
+msgstr "A Press Release is a special News aimed at the press through formal publication"
+
+msgid "portal_type_PressRelease_title"
+msgstr "Press Release"
+
 msgid "portal_type_Section_description"
 msgstr "Sections contains published revisions of documents"
@@ -1579,4 +1984,16 @@
 msgstr "Workspace"
 
+msgid "portal_type_ZippedHtml_description"
+msgstr "A zip archive that contain html, that can be preview online"
+
+msgid "portal_type_ZippedHtml_title"
+msgstr "Zipped Html File"
+
+msgid "previous"
+msgstr "Previous"
+
+msgid "psm_ajax_working"
+msgstr "Transferring datas"
+
 msgid "psm_archive_deleted"
 msgstr "Archive deleted."
@@ -1771,4 +2188,7 @@
 msgstr "Comments"
 
+msgid "transition_comments_modification"
+msgstr "Reason for the modification"
+
 msgid "translate"
 msgstr "Translation"