Index: WAeUP_SRP/base/skins/waeup_default/getLogData.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/getLogData.py	(revision 2243)
+++ WAeUP_SRP/base/skins/waeup_default/getLogData.py	(revision 2243)
@@ -0,0 +1,37 @@
+## Script (Python) "getLogData"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+"""
+return logfile entries
+"""
+
+wtool = context.waeup_tool
+
+# Default values...
+filename = "event.log"
+numlines = 30
+
+# Validate posted vars...
+request = container.REQUEST
+if 'filename' in request.keys():
+    if request['filename'] in ['event.log','Z2.log']:
+        filename = request['filename']
+
+if 'numlines' in request.keys():
+    try:
+        reqlines = int(request['numlines'])
+        if reqlines > 0 and reqlines < 1000:
+            numlines = reqlines
+    except:
+        pass
+
+return { 'filename' : filename,
+         'numlines' : numlines,
+         'lines' : wtool.getLogfileLines(filename, numlines)
+       }
Index: WAeUP_SRP/base/skins/waeup_default/getSessionString.py_not_used
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/getSessionString.py_not_used	(revision 2210)
+++ 	(revision )
@@ -1,18 +1,0 @@
-## Script (Python) "getSessionString"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id: getSessionString.py 1764 2007-05-10 04:41:04Z henrik $
-"""
-return the Session string
-"""
-import DateTime
-now = DateTime.DateTime()
-if now.month() > 8:
-    return "%s/%s" % (now.year(),now.year()+1)
-return "%s/%s" % (now.year()-1,now.year())
Index: WAeUP_SRP/base/skins/waeup_default/layout_search_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_search_edit.pt	(revision 2210)
+++ 	(revision )
@@ -1,81 +1,0 @@
-<metal:block define-macro="default_edit"
-             tal:define="layout options/layout;
-             ds options/datastructure;
-             formaction options/formaction|string:.;
-             is_flexible options/is_flexible;
-             cpsmcat nocall:here/translation_service;
-             faculties options/faculties|nothing;
-             departments options/departments|nothing;
-             "
-             >
-  <form action='some' method='post'
-        enctype='multipart/form-data' 
-        class='workflow'
-        tal:attributes="action formaction">
-    <input type="hidden" name="faculties" tal:condition="faculties"
-           tal:attributes="value faculties">
-    <input type="hidden" name="departments" tal:condition="departments"
-           tal:attributes="value departments">
-    <div class=''>
-      <div class='documentFields'>
-        <table width="" cellpadding="2" cellspacing="2" summary="Form layout">
-          <tr tal:repeat="row layout/rows" valign="top">
-            <td tal:repeat="cell row"
-                tal:attributes="colspan cell/ncols">
-              <tal:block define="widget cell/widget;
-              wid widget/getWidgetId;
-              dm options/datastructure/getDataModel;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required widget/is_required|nothing;
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              widget_css_class python:test(is_flexible, 'group', widget_css_class);
-              css_class python:test(err, 'row error',
-              test(is_flexible, 'group', 'row'))"
-              >
-                <div tal:attributes="class widget_css_class;
-                id python:widget.getHtmlWidgetId()+'_widget';"
-                >
-                  <div class="label" tal:condition="widget/label_edit"
-                       tal:attributes="class python:test(is_required, 'label required','label')">
-                    <label i18n:translate="" tal:condition="widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                    <label tal:condition="not:widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                  </div>
-                  <button type="button" class="tooltipControl"
-                          tal:condition="widget/help"
-                          tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-                  <div class="field">
-                    <div tal:replace="structure cell/widget_rendered"/>
-                  </div>
-                  <div class="tooltipArea" style="visibility: hidden;"
-                       tal:condition="widget/help"
-                       tal:attributes="id tooltip_id;
-                       onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                       >
-                    <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-                               tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-                    <tal:block tal:condition="not:widget/is_i18n"
-                               tal:content="widget/help">This is the help for this field</tal:block>
-                  </div>
-                  <tal:block condition="err">
-                    <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                      <br /><em style="color: red"
-                                tal:content="msg">err</em>
-                    </tal:block>
-                  </tal:block>
-                </div>
-              </tal:block>
-            </td>
-          </tr>
-        </table>
-        <input type="submit" class="standalone" name="cpsdocument_edit_button" value="Search" />
-      </div>        
-    </div>
-  </form>
-</metal:block>
-  
Index: WAeUP_SRP/base/skins/waeup_default/layout_waeup_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_waeup_create.pt	(revision 2210)
+++ 	(revision )
@@ -1,2 +1,0 @@
-<tal:block define="global creation python:1" />
-<metal:block use-macro="here/layout_waeup_edit/macros/default_edit" />
Index: WAeUP_SRP/base/skins/waeup_default/layout_waeup_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_waeup_edit.pt	(revision 2210)
+++ 	(revision )
@@ -1,179 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id$ -->
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              dm ds/getDataModel;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction formaction|python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout options/first_layout|python:0;
-              last_layout options/last_layout|python:0;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="python:first_layout">
-  <tal:block
-  content="structure string:<form id='editForm' action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class='group'><div class='documentFields'>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout"
-       tal:condition="layout/rows">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="button" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="button" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="button" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="button" id="addwidget_button"
-           name="addwidget_button" value="button_add"
-           class="context"
-           i18n:attributes="value"
-           tal:attributes="onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        id="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="python: last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <tal:block condition="not:creation">
-    <div class="tooltipArea" style="visibility: hidden;"
-      id="transition_comments_help"
-      onclick="showElement(false, 'transition_comments_help')"
-      i18n:translate="help_transition_comments_modification">
-      In this filed you can give the reason of the modification that you are doing on this document.
-      Your comments may be used to notify other users.
-    </div>
-    <dl>
-      <dt><label for="comments"
-          i18n:translate="transition_comments_modification">Reason of the modification</label>
-        <button type="button" class="tooltipControl"
-          onclick="toggleElementVisibility('transition_comments_help')"> ? </button>
-      </dt>
-      <dd>
-        <textarea name="comments" id="comments" cols="60" rows="3"
-          tal:content="nothing">
-        </textarea>
-      </dd>
-    </dl>
-  </tal:block>
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value" id="cpsdocument_edit_button"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_edit_and_view_button"
-    value="button_change_and_view" i18n:attributes="value"
-    id="cpsdocument_edit_and_view_button"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
Index: WAeUP_SRP/base/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_waeup_lib.pt	(revision 2210)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<!-- WAeUP layout_lib  -->
-<!-- $Id$ -->
-
-
-<!-- table view -->
-
-<metal:block define-macro="table_view"
-             tal:define="layout options/layout">
-<table>
-    <tal:block repeat="row layout/rows">
-      <tr>
-        <tal:block repeat="cell row">
-          <tal:block define="widget cell/widget">
-            <div tal:omit-tag=""
-                 tal:define="dm options/datastructure/getDataModel;"
-                 tal:attributes="class cell/widget_css_class|nothing;
-                 id python:widget.getHtmlWidgetId()+'_widget';" 
-                 >
-              <tal:block condition="widget/label">
-              <td width="220px" valign="top" nowrap>
-                <span i18n:translate="" tal:condition="widget/is_i18n">
-                    <span tal:content="widget/label" />:</span>
-                <span tal:condition="not:widget/is_i18n">
-                    <span tal:content="widget/label" />:</span>
-              </td>
-              </tal:block>
-              <tal:block condition="not: widget/label">
-              <td>
-                <div width="220px" valign="top"> no label </div>
-              </td>
-              </tal:block>              
-              <td>
-               <div class="ddescription"  tal:condition="cell" tal:content="structure cell/widget_rendered"></div>
-               <div class="ddescription" tal:condition="not:cell/widget_rendered"> none </div>
-             </td>
-            </div>
-          </tal:block>
-        </tal:block>
-      </tr>
-    </tal:block>
-  </table>
-</metal:block>
-
-
-    
Index: WAeUP_SRP/base/skins/waeup_default/layout_waeup_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_waeup_view.pt	(revision 2210)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<metal:block use-macro="here/layout_waeup_lib/macros/table_view" />
Index: WAeUP_SRP/base/skins/waeup_default/layout_wo_object_create.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_wo_object_create.pt	(revision 2210)
+++ 	(revision )
@@ -1,91 +1,0 @@
-<tal:block define="global creation python:1;
-                   global formaction string:display_pume_result" />
-<!-- a layout_lib macro -->
-<!-- $Id$ -->
-
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-  ds options/datastructure;
-  dm ds/getDataModel;
-  formaction options/formaction;
-  creation creation|nothing;
-  metadata metadata|nothing;
-  type_name request/type_name|nothing;
-  ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-  cpsmcat nocall:here/translation_service;
-  apply request/apply_button|nothing;
-  ">
-  <form action="" id="editForm" method="post" 
-        enctype="multipart/form-data" class="workflow"
-        tal:attributes="action formaction"
-        >
-  <table class="layoutDefault" summary="Form layout"
-         tal:condition="layout/rows">
-    <span tal:repeat="row python: layout['rows']" valign="top" >
-      <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
-              wid widget/getWidgetId;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              css_class python:test(err, 'row error','row')"
-              tal:condition="python: wid != 'passport'"
-              >
-          <div tal:attributes="class widget_css_class;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
-            <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-            </td>
-            <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-            </td>
-          </div>
-        </tr>
-      </span>
-    </span>
-  </table>
-  <br />
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save" 
-         id="cpsdocument_edit_button"
-         tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="apply_admission"
-         value="apply for admission"
-         id="cpsdocument_edit_and_view_button"
-         tal:condition="apply" 
-         tal:attributes="value apply"/>
-  <input type="submit" 
-         class="standalone" 
-         name="cpsdocument_create_button"
-         value="apply"
-         tal:attributes="value options/button"
-         tal:condition="creation" />
-
-</form>
-</metal:block>
Index: WAeUP_SRP/base/skins/waeup_default/layout_wo_object_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/layout_wo_object_edit.pt	(revision 2210)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<tal:block define="global creation python:0;
-                   global formaction string:set_access_data" />
-<!-- a layout_lib macro -->
-<!-- $Id$ -->
-
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-  ds options/datastructure;
-  dm ds/getDataModel;
-  cpsmcat nocall:here/translation_service;
-  ">
-  <table class="layoutDefault" summary="Form layout"
-         tal:condition="layout/rows">
-    <span tal:repeat="row python: layout['rows']" valign="top" >
-      <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
-              wid widget/getWidgetId;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              css_class python:test(err, 'row error','row')"
-              tal:condition="python: wid != 'passport'"
-              >
-          <div tal:attributes="class widget_css_class;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
-            <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-            </td>
-            <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-            </td>
-          </div>
-        </tr>
-      </span>
-    </span>
-  </table>
-</metal:block>
Index: WAeUP_SRP/base/skins/waeup_default/portlet_session_info.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/portlet_session_info.pt	(revision 2210)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<tal:block define="mtool here/portal_membership;
-           member mtool/getAuthenticatedMember;
-           isAnon mtool/isAnonymousUser;
-           name context/getStudentName;"
-           >
-  <tal:block condition="name">
-       <strong> 
-         <span tal:content="name" /> 
-       </strong>
-  </tal:block>
-  <tal:block condition="not:name">
-       <strong> 
-         <span tal:content="python:member.getProperty('fullname',None)" /> 
-       </strong>
-  </tal:block>  
-  <tal:block condition="isAnon">
-    <strong>Anonymous User</strong>
-  </tal:block>
-</tal:block>
Index: WAeUP_SRP/base/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/portlet_waeup_status_display.pt	(revision 2210)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<metal:block define-macro="status_display">
-<tal:block define="item nocall:options/context_obj;
-                   review_info item/getReviewInfo;"
-                   >
-    <span tal:content="review_info" />
-  </tal:block>
-</metal:block>
Index: WAeUP_SRP/base/skins/waeup_default/view_logs.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/view_logs.pt	(revision 2243)
+++ WAeUP_SRP/base/skins/waeup_default/view_logs.pt	(revision 2243)
@@ -0,0 +1,56 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main">
+  <metal:block tal:define="data context/getLogData;
+			mtool here/portal_membership;
+                        member mtool/getAuthenticatedMember;">       
+
+      <h3>Current Log Entries (<span tal:replace="data/filename"/>)</h3>
+      <br />      
+
+      <span tal:condition="not:isAnon">
+
+        <form method="post" action="view_logs">
+          Show last <input type="text" name="numlines" value="20"
+		           tal:attributes="value data/numlines" />
+	  lines of
+	  <select name="filename">
+	    <option 
+	       tal:attributes="selected python: data['filename']=='event.log'"
+	       value="event.log">Event Log</option>
+            <option 
+	       tal:attributes="selected python: data['filename']=='Z2.log'"
+               value="Z2.log">Access Log</option>
+          </select>
+          <input type="submit" value="Refresh" />
+        </form>
+
+	<hr />
+
+        <table>
+          <tr class="even ajaxtd" tal:repeat="line data/lines">
+	    <td><span tal:replace="line" /></td>
+          </tr>
+        </table>
+
+	<hr />
+
+        <form method="post" action="view_logs">
+          Show last <input type="text" name="numlines" value="20"
+		           tal:attributes="value data/numlines" />
+	  lines of
+	  <select name="filename">
+	    <option 
+	       tal:attributes="selected python: data['filename']=='event.log'"
+	       value="event.log">Event Log</option>
+            <option 
+	       tal:attributes="selected python: data['filename']=='Z2.log'"
+               value="Z2.log">Access Log</option>
+          </select>
+          <input type="submit" value="Refresh" />
+        </form>
+
+      </span> <!-- condition: not:isAnon -->
+  </metal:block>      
+  </metal:main>
+</metal:body>
+      
Index: WAeUP_SRP/base/skins/waeup_default/widget_passport_render.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/widget_passport_render.pt	(revision 2210)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<tal:block define="mode options/mode;
-  id here/getWidgetId;
-  fields here/fields;
-  current_filename options/current_filename;
-  empty_file options/empty_file;
-  session_file options/session_file;
-  mimetype options/mimetype;
-  size options/size;
-  content_url options/content_url;
-  last_modified options/last_modified;
-  image_width options/width;
-  image_height options/height;
-  image_tag options/image_tag;"
-  >
-  <span tal:condition="python:0" >
-    <img tal:condition="python: mode == 'view' and not empty_file"
-         tal:replace="structure image_tag" />
-  </span>
-  <span tal:condition="python: mode == 'view' and not empty_file">
-    <img tal:condition="python:not empty_file and not session_file"
-         tal:replace="structure image_tag" />
-  </span>
-  <tal:block condition="python: mode == 'edit'">
-    <metal:block use-macro="here/widget_file_render/macros/file_size_max_view" />
-    <metal:block define-macro="image_title_edit">
-      <span tal:condition="python:0">
-        <metal:block use-macro="here/widget_file_render/macros/file_title_edit">
-        </metal:block>
-      </span>
-    </metal:block>
-    <img tal:condition="python:not empty_file and not session_file"
-         tal:replace="structure image_tag" />
-    <metal:block define-macro="image_edit">
-      <metal:block use-macro="here/widget_file_render/macros/file_edit">
-        <metal:block fill-slot="keep_file" />
-        <metal:block fill-slot="delete_file" />
-        <metal:block fill-slot="change_file">
-          <input type="file" name="." size="24"
-                 tal:attributes="name name;"/>
-          <tal:block condition="python:1">
-            <input type="hidden" value="img_auto_size" 
-                   tal:attributes="name string:${name}_resize" />
-          </tal:block>
-        </metal:block>
-      </metal:block>
-    </metal:block>
-  </tal:block>
-</tal:block>
Index: WAeUP_SRP/base/skins/waeup_default/widget_waeup_image_render.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/widget_waeup_image_render.pt	(revision 2210)
+++ 	(revision )
@@ -1,131 +1,0 @@
-<tal:block define="mode options/mode;
-  id here/getWidgetId;
-  current_filename options/current_filename;
-  empty_file options/empty_file;
-  session_file options/session_file;
-  mimetype options/mimetype;
-  size options/size;
-  content_url options/content_url;
-  last_modified options/last_modified;
-  image_tag options/image_tag;    
-  ">
-  <img tal:condition="python: mode == 'view' and not empty_file"
-    tal:replace="structure image_tag" />
-
-
-  <tal:block condition="python: 0 and mode == 'view' and not empty_file">
-    <metal:block define-macro="file_view">
-      <a target="_blank" tal:condition="mimetype"
-        tal:attributes="href string:${content_url}?nocache=${last_modified}">
-        <img tal:replace="structure python:here.getImgTag(mimetype.icon_path,
-          title=mimetype.name())" /></a>
-      <a class="strong"
-        tal:attributes="href string:${content_url}?nocache=${last_modified}">
-        <tal:block replace="current_filename" /></a>
-      <span tal:condition="size" class="note"
-        tal:define="str_size python:here.getHumanReadableSize(size);">
-        <tal:block content="str_size"/>
-      </span>
-    </metal:block>
-  </tal:block>
-
-  <tal:block condition="python: mode == 'edit'">
-
-    <metal:block define-macro="file_size_max_view">
-      <tal:block define="size_max python:here.size_max;
-                         str_sizeMax python:here.getHumanReadableSize(size_max)"
-        condition="python:size_max > 0">
-
-        <p i18n:translate="">
-          cpsschemas_size_max
-          <tal:block i18n:name="size_max" content="str_sizeMax"/>
-        </p>
-      </tal:block>
-    </metal:block>
-
-    <metal:block define-macro="file_title_edit">
-      <p tal:define="name here/getHtmlWidgetId;
-                     title_name string:${name}_filename;">
-        <span i18n:translate="cpsschemas_label_filename">
-          Filename
-        </span>
-        <input style="margin-left: 5px" type="text" size="30" maxlength="80"
-               tal:attributes="name title_name;
-                               value current_filename" />
-      </p>
-    </metal:block>
-
-    <metal:block define-macro="file_edit">
-
-      <ul class="fileChoice"
-          tal:define="name here/getHtmlWidgetId;
-                      radio_name string:${name}_choice;">
-        <li>
-          <metal:block define-slot="keep_file">
-            <input type="radio" class="noborder" name="." value="keep"
-                   checked="checked"
-                   tal:attributes="name radio_name;
-                                   id string:${radio_name}_keep;"/>
-            <label i18n:translate="cpsschemas_label_file_none"
-                   tal:condition="empty_file"
-                   tal:attributes="for string:${radio_name}_keep">None</label>
-            <label i18n:translate="cpsschemas_label_file_keep"
-                   tal:condition="not:empty_file"
-                   tal:attributes="for string:${radio_name}_keep">Keep</label>
-            <a href="http://url..." target="_blank"
-               tal:condition="not:empty_file"
-               tal:omit-tag="session_file"
-               tal:attributes="href string:${content_url}?nocache=${last_modified}">
-              <tal:block condition="mimetype"
-                replace="structure python:here.getImgTag(mimetype.icon_path,
-                  title=mimetype.name())" />
-              <tal:block replace="current_filename" />
-            </a>
-            <tal:block condition="python:not empty_file and not session_file and modules['Products.CPSUtil.integration'].isProductPresent('Products.ExternalEditor')">
-              <tal:block define="ds options/datastructure;
-                                 dm ds/getDataModel;
-                                 proxy dm/getProxy;
-                                 display_ee
-                                   here/display_external_editor|python:True;
-                                 portal here/portal_url/getPortalObject;
-                                 field_id python:here.fields[0]">
-              <tal:block condition="python: proxy and display_ee">
-                -
-                <a href="http://url..."
-                   i18n:translate="cpsschemas_label_file_edit_online"
-                   tal:attributes="href python:portal.getExternalEditorPath(proxy, id, field_id)">
-                  Edit file online
-                </a>
-              </tal:block>
-              </tal:block>
-            </tal:block>
-          </metal:block>
-        </li>
-        <metal:block define-slot="edit_file_action" />
-        <li>
-          <metal:block define-slot="change_file">
-            <input type="radio" class="noborder"  name="." value="change"
-                   tal:attributes="name radio_name;
-                                   id string:${radio_name}_change" />
-            <label i18n:translate="cpsschemas_label_file_change"
-                   tal:attributes="for string:${radio_name}_change">Change</label>
-            <input type="file" name="." size="24"
-                   tal:attributes="name name;
-              onclick string:document.getElementById('${radio_name}_change').checked='checked'" />
-          </metal:block>
-        </li>
-        <li tal:condition="python: not here.is_required and not empty_file">
-          <metal:block define-slot="delete_file">
-            <input type="radio" class="noborder" name="." value="delete"
-                   tal:attributes="name radio_name;
-                                   id string:${radio_name}_delete" />
-            <label i18n:translate="cpsschemas_label_file_delete"
-                   tal:attributes="for string:${radio_name}_delete">Delete</label>
-          </metal:block>
-        </li>
-      </ul>
-    </metal:block>
-
-  </tal:block>
-
-</tal:block>