Index: WAeUP_SRP/uniben/profiles/default/vocabularies/pin_prefixes.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/pin_prefixes.xml	(revision 2240)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/pin_prefixes.xml	(revision 2251)
@@ -42,35 +42,66 @@
     <item key="BIA" msgid="">Bachelors in Accounting</item>
     <item key="BSW" msgid="">Bachelors in Social Wks</item>
+    <item key="BFA" msgid="">Bachelors in fine & Arts</item>
+    <item key="BTA" msgid="">Bachelors in Theatre Arts</item>
+    <item key="BEL" msgid="">Bachelors in English</item>
+    <item key="BISD" msgid="">Bachelors in Int. Studies & Diplomacy</item>
+    <item key="BFR" msgid="">Bachelors in French</item>
+    <item key="BAE" msgid="">Bachelors in Agric Economics</item>
+    <item key="BAN" msgid="">Bachelors in Animal Science</item>
+    <item key="BAC" msgid="">Bachelors in Crop Science</item>
+    <item key="BAS" msgid="">Bachelors in Soil Science</item>
+    <item key="BEMCH" msgid="">Bachelors in Mechanical Eng.</item>
+    <item key="BBF" msgid="">Bachelors in Banking & Finance</item>
+    <item key="BLG" msgid="">Bachelors in Local Govt Admin</item>
+    <item key="BLST" msgid="">Bachelors in science Lab Tech.</item>
+    <item key="BES" msgid="">Bachelors in Envr. Science</item>
+    <item key="BIP" msgid="">Bachelors in Physics</item>
+    <item key="BSCS" msgid="">Bachelors in Statistics with Comp</item>
+    <item key="BEEL" msgid="">Bachelors in Elect & Elect Eng</item>
+    <item key="BECV" msgid="">Bachelors in Civil Eng.</item>
+    <item key="BECE" msgid="">Bachelors in Chemical Eng.</item>
+    <item key="BEPE" msgid="">Bachelors in Petroleum Eng.</item>
+    <item key="BESTR" msgid="">Bachelors in Structural Eng.</item>
+    <item key="BPRE" msgid="">Bachelors in Production Eng.</item>
+    <item key="LLBPT" msgid="">Bachelors in Law</item>
+    <item key="ODPT" msgid="">Doctor of Optometry</item>
+    <item key="PHARMD" msgid="">Doctor of Pharmacy</item>
+
     <item key="DPA" msgid="">Diploma in Public Adm</item>
     <item key="DIL" msgid="">Diploma in Law</item>
     <item key="DDP" msgid="">Diploma in Data Proc.</item>
-    <item key="DCE" msgid="">Diploma in Comp. Eng</item>
+    <item key="DICE" msgid="">Diploma in Comp. Eng</item>
+    <item key="DICHE" msgid="">Diploma in Chemical Eng</item>
+    <item key="DTA" msgid="">Diploma in Theatre Arts</item>
+    <item key="DISD" msgid="">Diploma in Int. Studies & Dip</item>
+    <item key="DFA" msgid="">Diploma in Fine & Applied Arts</item>
+    <item key="DFS" msgid="">Diploma in Fishery, Forestry & Wildlife</item>
+    <item key="DAC" msgid="">Diploma in Agric Crop Science</item>
+    <item key="DFBS" msgid="">Diploma in Food & Brewering Sci.</item>
+    <item key="DIA" msgid="">Diploma in Accounting</item>
+    <item key="DBF" msgid="">Diploma in Banking & Finance</item>
+    <item key="DAIC" msgid="">Diploma in Applied Ind. Chemistry</item>
+    <item key="DAM" msgid="">Diploma in Applied Microbiology</item>
+    <item key="DIG" msgid="">Diploma in Geology</item>
+    <item key="DLST" msgid="">Diploma in Science Lab Tech.</item>
+    <item key="DES" msgid="">Diploma in Environmental Science</item>
+    <item key="DCG" msgid="">Diploma in Cartography</item>
+    <item key="DSW" msgid="">Diploma in Social Works</item>
+    <item key="DIF" msgid="">Diploma in French</item>
+    <item key="DHT" msgid="">Diploma in Recreation, Hotel & Tour. Mgmt</item>
+    <item key="DHAM" msgid="">Diploma in Health Management</item>
+    <item key="DNAM" msgid="">Diploma in Nursing Admin. & Management</item>
+    <item key="DHS" msgid="">Diploma in Primary Health Care & Stat</item>
+    <item key="DAE" msgid="">Diploma in Adult Edu.</item>
+    <item key="DME" msgid="">Diploma in Maths Edu.</item>
+    <item key="ADHFM" msgid="">ADV. Diploma in Health Fin. & Mgmt.</item>
+    <item key="DPE" msgid="">Diploma in Physical Edu.</item>
+    <item key="DHE" msgid="">Diploma in Health Edu.</item>
+    <item key="DEC" msgid="">Diploma in Early Childhood Edu.</item>
+    <item key="DLS" msgid="">Diploma in Library & Info. Science.</item>
 
-    <item key="AGRNEW" msgid="">Agriculture (New Students)</item>
-    <item key="ARTNEW" msgid="">Arts (New Students)</item>
-    <item key="BMSNEW" msgid="">Basic Medical Sc. (New Students)</item>
-    <item key="DENNEW" msgid="">Dentistry (New Students)</item>
-    <item key="EDUNEW" msgid="">Education (New Students)</item>
-    <item key="ENGNEW" msgid="">Engineering (New Students)</item>
-    <item key="LAWNEW" msgid="">Law (New Students)</item>
-    <item key="LSCNEW" msgid="">Life Science (New Students)</item>
-    <item key="PSCNEW" msgid="">Physical (New Students)</item>
-    <item key="PHANEW" msgid="">Pharmacy (New Students)</item>
-    <item key="MEDNEW" msgid="">Medicine (New Students)</item>
-    <item key="SSCNEW" msgid="">Social Sciences (New Students)</item>
-    <item key="MGSNEW" msgid="">Management Sciences (New Students)</item>
-
-    <item key="MBANEW" msgid="">Masters in Bus. Admin. (New Students)</item>
-    <item key="MPANEW" msgid="">Masters in Public Admin (New Students)</item>
-    <item key="MBFNEW" msgid="">Masters Banking and Fin. (New Students)</item>
-    <item key="LLMNEW" msgid="">Masters in Law (New Students)</item>
-    <item key="MPHNEW" msgid="">Masters in Public Health (New Students)</item>
-    <item key="BPANEW" msgid="">Bachelors in Public Adm (New Students)</item>
-    <item key="BIANEW" msgid="">Bachelors in Accounting (New Students)</item>
-    <item key="BSWNEW" msgid="">Bachelors in Social Wks (New Students)</item>
-    <item key="DPANEW" msgid="">Diploma in Public Adm (New Students)</item>
-    <item key="DILNEW" msgid="">Diploma in Law (New Students)</item>
-    <item key="DDPNEW" msgid="">Diploma in Data Proc. (New Students)</item>
-    <item key="DCENEW" msgid="">Diploma in Comp. Eng (New Students)</item>
+    <item key="CPA" msgid="">Certificate in Public Admin.</item>
+    <item key="CIE" msgid="">Certificate in Epidermiology.</item>
+    <item key="CEHD" msgid="">Certificate in Early Childhood & Dev.</item>
 
 </object>