Index: /WAeUP_SRP/base/PatchQueueCatalogProcessQueue.py
===================================================================
--- /WAeUP_SRP/base/PatchQueueCatalogProcessQueue.py	(revision 2263)
+++ /WAeUP_SRP/base/PatchQueueCatalogProcessQueue.py	(revision 2264)
@@ -96,5 +96,5 @@
             catalog_object(obj, uid, cat_indexes)
         else:
-            import pdb;pdb.set_trace()
+            #import pdb;pdb.set_trace()
             self._update(uid, already_cataloged and CHANGED or ADDED)
         # Update some of the indexes immediately.
Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 2263)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 2264)
@@ -61,8 +61,6 @@
     meta_type = 'WAeUP Tool'
     _actions = ()
-
     security = ClassSecurityInfo()
     security.declareObjectProtected(View)
-
     manage_options = ( ActionProviderBase.manage_options
                      + SimpleItem.manage_options
@@ -913,4 +911,33 @@
     ###)
 
+    security.declareProtected(ModifyPortalContent,'mass_create_faculty') ###(
+    def mass_create_faculty(self,mapping):
+        "create a faculty"
+        logger = logging.getLogger('WAeUPTool.mass_create_faculty')
+        academics_folder = self.portal_url.getPortalObject().campus.academics
+        fid = mapping['code']
+        if getattr(academics_folder,fid,None) is not None:
+            return '', "Faculty with ID: %s exists" % fid
+        logger.info('Creating Faculty %(code)s = %(title)s' % mapping)
+        academics_folder.invokeFactory('Faculty', fid)
+        f = getattr(academics_folder,fid,None)
+        f.getContent().edit(mapping=mapping)
+        return fid,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_edit_Faculty') ###(
+    def mass_edit_faculty(self,mapping):
+        "edit a faculty"
+        logger = logging.getLogger('WAeUPTool.mass_edit_faculty')
+        academics_folder = self.portal_url.getPortalObject().campus.academics
+        fid = mapping['code']
+        f = getattr(academics_folder,fid,None)
+        if f is None:
+            return '', "Faculty with ID: %s does not exist" % fid
+        logger.info('Editing Faculty %(code)s = %(title)s' % mapping)
+        f.getContent().edit(mapping=mapping)
+        return fid,''
+    ###)
+
     security.declareProtected(ModifyPortalContent,'mass_create_department') ###(
     def mass_create_department(self,mapping):
@@ -1242,5 +1269,4 @@
                 #import_keys = [k for k in item.keys() if not k.startswith('ignore')]
                 attrs = csv.reader(open("%s/import/%s.csv" % (i_home,filename),"rb")).next()
-                #import pdb;pdb.set_trace()
                 import_keys = [k for k in attrs if not k.startswith('ignore')]
                 diff2schema = set(import_keys).difference(set(schema.keys()))
@@ -1256,7 +1282,4 @@
                 format_error = format + ',"%(Error)s"'
                 format = '"%(id)s",'+ format
-                by_pass_queue = getattr(self.portal_catalog,"setBypassQueue",None)
-                if by_pass_queue is not None:
-                    bypass_queue(bypass_queue_catalog)
 
             dm = DataModel(item, adapters,context=self)
@@ -1264,6 +1287,9 @@
             error_string = ""
             for k in import_keys:
+                #import pdb;pdb.set_trace()
                 if not validators[k](ds):
-                    error_string += " %s : %s" % (k,ds.getError(k))
+                    error_string += " %s : %s" % (k,
+                                                  self.translation_service(ds.getError(k),
+                                                                           ds.getErrorMapping(k)))
             if not error_string:
                 item.update(dm)
Index: /WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2263)
+++ /WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2264)
@@ -13,4 +13,5 @@
   <object name="import_department" meta_type="CPS Layout"/>
   <object name="department" meta_type="CPS Layout"/>
+  <object name="import_faculty" meta_type="CPS Layout"/>
   <object name="faculty" meta_type="CPS Layout"/>
   <object name="import" meta_type="CPS Layout"/>
Index: /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 2264)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 2264)
@@ -0,0 +1,85 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="faculty" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="title" meta_type="String Widget">
+  <property name="fields">
+   <element value="title"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="display_width">40</property>
+  <property name="size_max">200</property>
+ </widget>
+ <widget name="bank_code" meta_type="String Widget">
+  <property name="title">Bank Code</property>
+  <property name="fields">
+   <element value="bank_code"/>
+  </property>
+  <property name="label">Bank Code</property>
+  <property name="label_edit">Bank Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="WAeUPId Widget">
+  <property name="title">Faculty Id</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Faculty Id</property>
+  <property name="label_edit">Faculty Id</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+   <element value="view"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="title_prefix" meta_type="Select Widget">
+  <property name="title">Title Prefix</property>
+  <property name="fields">
+   <element value="title_prefix"/>
+  </property>
+  <property name="label">Title Prefix</property>
+  <property name="label_edit">Title Prefix</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">institution_types_voc</property>
+ </widget>
+ <widget name="review_state" meta_type="String Widget">
+  <property name="title">Review State</property>
+  <property name="fields">
+   <element value="review_state"/>
+  </property>
+  <property name="label">Review State</property>
+  <property name="label_edit">Review State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="title"/>
+  </row>
+  <row>
+   <cell name="title_prefix"/>
+  </row>
+  <row>
+   <cell name="bank_code"/>
+  </row>
+ </table>
+</object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2263)
+++ /WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2264)
@@ -14,4 +14,5 @@
  <object name="department" meta_type="CPS Schema"/>
  <object name="faculty" meta_type="CPS Schema"/>
+ <object name="import_faculty" meta_type="CPS Schema"/>
  <object name="members" meta_type="CPS Schema"/>
  <object name="members_search" meta_type="CPS Schema"/>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml	(revision 2264)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml	(revision 2264)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="import_faculty" meta_type="CPS Schema">
+ <field name="bank_code" meta_type="CPS String Field"/>
+ <field name="code" meta_type="CPS String Field"/>
+ <field name="review_state" meta_type="CPS String Field"/>
+ <field name="title" meta_type="CPS String Field"/>
+ <field name="title_prefix" meta_type="CPS String Field"/>
+</object>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2263)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/import_names.xml	(revision 2264)
@@ -7,4 +7,5 @@
  <property name="acl_write_roles">Manager</property>
  <item key="student" msgid="">Student Data</item>
+ <item key="faculty" msgid="">Faculty Data</item>
  <item key="department" msgid="">Department Data</item>
 </object>