Index: WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml	(revision 2265)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_department.xml	(revision 2267)
@@ -9,11 +9,11 @@
  <property name="validate_values_expr"></property>
  <widget name="code" meta_type="WAeUPId Widget">
-  <property name="title">Department Id</property>
+  <property name="title">Department Code</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Department Id</property>
-  <property name="label_edit">Department Id</property>
+  <property name="label">Department Code</property>
+  <property name="label_edit">Department Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -30,15 +30,4 @@
   <property name="label">Faculty Code</property>
   <property name="label_edit">Faculty Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="review_state" meta_type="String Widget">
-  <property name="title">Review State</property>
-  <property name="fields">
-   <element value="review_state"/>
-  </property>
-  <property name="label">Review State</property>
-  <property name="label_edit">Review State</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 2265)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_faculty.xml	(revision 2267)
@@ -18,23 +18,12 @@
   <property name="size_max">200</property>
  </widget>
- <widget name="bank_code" meta_type="String Widget">
-  <property name="title">Bank Code</property>
-  <property name="fields">
-   <element value="bank_code"/>
-  </property>
-  <property name="label">Bank Code</property>
-  <property name="label_edit">Bank Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="code" meta_type="WAeUPId Widget">
-  <property name="title">Faculty Id</property>
+  <property name="title">Faculty Code</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Faculty Id</property>
-  <property name="label_edit">Faculty Id</property>
+  <property name="label">Faculty Code</property>
+  <property name="label_edit">Faculty Code</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -58,15 +47,4 @@
   <property name="vocabulary">institution_types_voc</property>
  </widget>
- <widget name="review_state" meta_type="String Widget">
-  <property name="title">Review State</property>
-  <property name="fields">
-   <element value="review_state"/>
-  </property>
-  <property name="label">Review State</property>
-  <property name="label_edit">Review State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <table>
   <row>
@@ -79,7 +57,4 @@
    <cell name="title_prefix"/>
   </row>
-  <row>
-   <cell name="bank_code"/>
-  </row>
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_department.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_department.xml	(revision 2265)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_department.xml	(revision 2267)
@@ -4,5 +4,4 @@
  <field name="code" meta_type="CPS String Field"/>
  <field name="faculty_code" meta_type="CPS String Field"/>
- <field name="review_state" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
  <field name="title_prefix" meta_type="CPS String Field"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml	(revision 2265)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_faculty.xml	(revision 2267)
@@ -2,7 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_faculty" meta_type="CPS Schema">
- <field name="bank_code" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field"/>
- <field name="review_state" meta_type="CPS String Field"/>
  <field name="title" meta_type="CPS String Field"/>
  <field name="title_prefix" meta_type="CPS String Field"/>