Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2267)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2268)
@@ -1156,10 +1156,10 @@
             if not res:
                 return '',"no student with id %s" % sid
-            elif matric_no and res[0].matric_no and\
+            if matric_no and res[0].matric_no and\
               matric_no != res[0].matric_no:
-                return '%s' % res[0].id ,"student has no matric_no %s" % matric_no
-            elif jamb_reg_no and res[0].jamb_reg_no and\
+                logger.info("%s, old matric_no %s overwritten with %s" % (res[0].id,res[0].matric_no,matric_no))
+            if jamb_reg_no and res[0].jamb_reg_no and\
               jamb_reg_no != res[0].jamb_reg_no:
-                return '%s' % res[0].id ,"student has no jamb_reg_no %s" % jamb_reg_no
+                logger.info("%s, old reg_no %s overwritten with %s" % (res[0].id,res[0].jamb_reg_no,jamb_reg_no))
         elif jamb_reg_no:
             res = self.students_catalog(jamb_reg_no = jamb_reg_no)
@@ -1173,8 +1173,8 @@
             editable_keys.remove('matric_no')
 
-        # included only to change wf state from admitted to returning
-        if res[0].review_state not in ('admitted','objection_raised'):
-            return '%s' % res[0].id ,"student is not in state admitted or objection_raised"
-        # end inclusion
+        ## included only to change wf state from admitted to returning
+        #if res[0].review_state not in ('admitted','objection_raised'):
+        #    return '%s' % res[0].id ,"student is not in state admitted or objection_raised"
+        ## end inclusion
 
         sid = res[0].id
@@ -1210,24 +1210,24 @@
 
 
-        # included only to change wf state from admitted to returning
-            if res[0].review_state in ('admitted','objection_raised'):
-                new_state = f2t[pt]['wf_transition_return']
-                sub_obj = getattr(student_obj,f2t[pt]['id'],None)
-                if sub_obj and new_state != "remain":
-                    try:
-                        self.portal_workflow.doActionFor(sub_obj,new_state,dest_container=sub_obj)
-                    except:
-                        #logger.info('%s, wf transition %s of %s failed' % (sid,new_state,sub_obj.id))
-                        pass
-        if res[0].review_state in ('admitted','objection_raised'):
-            wfaction = 'return'
-            try:
-                self.portal_workflow.doActionFor(student_obj,wfaction)
-                logger.info('%s, wf state changed' % sid)
-                any_change = True
-            except:
-                logger.info('%s, wf transition failed, old state = %s' % (sid,res[0].review_state))
-                pass
-        # end inclusion
+        ## included only to change wf state from admitted to returning
+        #    if res[0].review_state in ('admitted','objection_raised'):
+        #        new_state = f2t[pt]['wf_transition_return']
+        #        sub_obj = getattr(student_obj,f2t[pt]['id'],None)
+        #        if sub_obj and new_state != "remain":
+        #            try:
+        #                self.portal_workflow.doActionFor(sub_obj,new_state,dest_container=sub_obj)
+        #            except:
+        #                #logger.info('%s, wf transition %s of %s failed' % (sid,new_state,sub_obj.id))
+        #                pass
+        #if res[0].review_state in ('admitted','objection_raised'):
+        #    wfaction = 'return'
+        #    try:
+        #        self.portal_workflow.doActionFor(student_obj,wfaction)
+        #        logger.info('%s, wf state changed' % sid)
+        #        any_change = True
+        #    except:
+        #        logger.info('%s, wf transition failed, old state = %s' % (sid,res[0].review_state))
+        #        pass
+        ## end inclusion
 
 
Index: WAeUP_SRP/uniben/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/actions.xml	(revision 2267)
+++ WAeUP_SRP/uniben/profiles/default/actions.xml	(revision 2268)
@@ -52,8 +52,8 @@
   </action>
   <action title="Import Data" action_id="import" category="global"
-     condition_expr="python:member and member.has_role('Manager')" url_expr="string:./import"
-     visible="True">
-   <permission>View</permission>
-  </action>  
+     condition_expr="python:member and member.has_role('Manager')" url_expr="string:${portal_url}/import"
+     visible="True">
+   <permission>View</permission>
+  </action>
   <action title="action_manage_vocabularies" action_id="manage_vocabularies"
      category="global" condition_expr=""
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml	(revision 2267)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_student.xml	(revision 2268)
@@ -8,4 +8,18 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+
+ <widget name="id" meta_type="String Widget">
+  <property name="title">Id</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Id</property>
+  <property name="label_edit">Id</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="reg_transition" meta_type="String Widget">
   <property name="title">Transition after import</property>
@@ -262,5 +276,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- 
+
   <widget name="jamb_state" meta_type="String Widget">
   <property name="title">JAMB State</property>
Index: WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 2267)
+++ WAeUP_SRP/uniben/profiles/default/schemas/import_student.xml	(revision 2268)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="import_student" meta_type="CPS Schema">
+ <field name="id" meta_type="CPS String Field"/>
  <field name="reg_transition" meta_type="CPS String Field"/>
  <field name="firstname" meta_type="CPS String Field"/>