Index: /WAeUP_SRP/base/skins/cps_custom/config_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 2275)
+++ /WAeUP_SRP/base/skins/cps_custom/config_form.pt	(revision 2275)
@@ -0,0 +1,112 @@
+<tal:block condition="nothing">$Id: config_form.pt 33523 2006-02-27 16:17:45Z fguillaume $</tal:block>
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns="http://www.w3.org/1999/xhtml"
+      metal:use-macro="here/main_template/macros/master">
+<body>
+
+<metal:block fill-slot="head_slot">
+ <tal:block define="dummy python:request.set('breadcrumb_set',
+    [{
+      'id': 'config_form',
+      'url': '%sconfig_form' % base_url,
+      'title': cpsmcat('heading_reconfig_portal'),
+    },
+   ]);" />
+</metal:block>
+
+<metal:header fill-slot="header"
+              tal:define="mtool here/portal_membership;
+                          checkPerm nocall:mtool/checkPermission;">
+  <h3 i18n:translate="heading_reconfig_portal">Configure Portal</h3>
+  <tal:block condition="python:not checkPerm('Manage Portlets', here)">
+    <tal:block define="dummy request/RESPONSE/unauthorized" />
+  </tal:block>
+</metal:header>
+
+<metal:main fill-slot="main">
+  <form action="" method="post"
+        tal:attributes="action string:${base_url}reconfig"
+        tal:define="pprops nocall:here/portal_properties;
+                    mtool nocall:here/portal_membership;
+                    rtool nocall:here/portal_registration">
+    <br />
+
+    <table id="portalConfiguration" summary="Portal properties form">
+      <tr>
+        <th>
+          <label for="email_from_name"
+                 i18n:translate="label_admin_name">
+            Administrator Name
+          </label>
+        </th>
+        <td>
+          <input name="email_from_name" id="email_from_name" value=""
+                 tal:attributes="value pprops/email_from_name" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="email_from_address"
+                 i18n:translate="label_admin_email">
+            Administrator Email
+          </label>
+        </th>
+        <td>
+          <input name="email_from_address" id="email_from_address" value=""
+                 tal:attributes="value pprops/email_from_address" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="smtp_server"
+                 i18n:translate="label_smtp_server">
+            SMTP Server
+          </label>
+        </th>
+        <td>
+          <input name="smtp_server" id="smtp_server" value=""
+                 tal:attributes="value pprops/smtp_server" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="portal_title"
+                 i18n:translate="label_portal_title">
+            Portal title
+          </label>
+        </th>
+        <td>
+          <input name="title" id="portal_title" value=""
+                 tal:attributes="value pprops/title" />
+        </td>
+      </tr>
+      <tr>
+        <th>
+          <label for="portal_description"
+                 i18n:translate="label_portal_description">
+            Portal description
+          </label>
+        </th>
+        <td>
+          <textarea name="description" id="portal_description"
+                cols="40" rows="4" style="width: 100%"
+                tal:content="pprops/description">
+          </textarea>
+        </td>
+      </tr>
+
+    </table>
+    <p>
+      <button type="submit" class="standalone"  i18n:translate="button_change">Change</button>
+      <button type="button" class="standalone" onclick="history.back()"
+              i18n:translate="button_cancel">Cancel</button>
+    </p>
+  </form>
+
+
+
+
+</metal:main>
+</body>
+</html>
Index: /WAeUP_SRP/fceokene/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/actions.xml	(revision 2274)
+++ /WAeUP_SRP/fceokene/profiles/default/actions.xml	(revision 2275)
@@ -63,5 +63,5 @@
   <action title="Directories" action_id="directories" category="global"
      condition_expr="python:portal.portal_directories.isSectionOfficer()"
-     url_expr="string:${portal_url}/cpsdirectory_view" visible="True">
+     url_expr="string:${portal_url}/cpsdirectory_view" visible="False">
    <permission>View</permission>
   </action>
@@ -200,9 +200,7 @@
  </action-provider>
  <action-provider name="portal_themes"/>
- <action-provider name="portal_types"/>
- <action-provider name="portal_syndication"/>
  <action-provider name="portal_workflow"/>
  <action-provider name="portal_properties">
-  <action title="Reconfigure Portal" action_id="configPortal"
+  <action title="Portal Base Data" action_id="configPortal"
      category="global" condition_expr=""
      url_expr="string:${portal_url}/config_form" visible="True">