Index: WAeUP_SRP/base/Academics.py
===================================================================
--- WAeUP_SRP/base/Academics.py	(revision 2281)
+++ WAeUP_SRP/base/Academics.py	(revision 2282)
@@ -687,7 +687,7 @@
         export = []
         heading = '"code","review_state","faculty_code","department_code",'
-        heading += '"certificate_code","level","semester","core_or_elective"'
+        heading += '"certificate_code","level","core_or_elective"'
         dataline = '"%(code)s","%(review_state)s","%(faculty_code)s","%(department_code)s",'
-        dataline += '"%(certificate_code)s","%(level)s","%(semester)s","%(core_or_elective)s"'
+        dataline += '"%(certificate_code)s","%(level)s","%(core_or_elective)s"'
         export.append(heading)
         #import pdb;pdb.set_trace()
@@ -702,19 +702,15 @@
                     for level in certificate.objectValues():
                         di['level'] = level.id
-                        for sem in semesters:
-                            semester = getattr(level,sem,None)
-                            if semester is not None:
-                                di['semester'] = semesters.index(sem) + 1
-                                for course in semester.objectValues():
-                                    di['code'] = course.getId()
-                                    course_d = course.getContent()
-                                    di['core_or_elective'] = getattr(course_d,'core_or_elective',None)
-                                    di['review_state'] = self.portal_workflow.getInfoFor(course,'review_state','no_state')
-                                    try:
-                                        export.append(dataline % di)
-                                        logger.info('Exporting %s %s ' % (certificate.id, certificate.title))
-                                    except:
-                                        logger.info('Could not export %s %s ' % (certificate.id, certificate.title))
-                                        continue
+                        for course in level.objectValues():
+                            di['code'] = course.getId()
+                            course_d = course.getContent()
+                            di['core_or_elective'] = getattr(course_d,'core_or_elective',None)
+                            di['review_state'] = self.portal_workflow.getInfoFor(course,'review_state','no_state')
+                            try:
+                                export.append(dataline % di)
+                                logger.info('Exporting %s %s ' % (certificate.id, certificate.title))
+                            except:
+                                logger.info('Could not export %s %s ' % (certificate.id, certificate.title))
+                                continue
         open("%s/export/%s-%s.csv" % (i_home,name,current),"w+").write('\n'.join(export))
         return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2281)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2282)
@@ -998,9 +998,9 @@
             self._v_departments = {}
             for d in res:
-                self._v_departments[d.getId] = d.getObject()
+                self._v_departments[d.getId] = getattr(d.getObject(),"courses",None)
         did = mapping['department_code']
         d = self._v_departments.get(did,None)
         if d is None:
-            return '', "No Department with ID: %s" % fid
+            return '', "No Department with ID: %s" % did
         course_id = mapping.get('code')
         if course_id in self._v_course_list:
@@ -1014,4 +1014,85 @@
         c.getContent().edit(mapping=mapping)
         return course_id,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_edit_course') ###(
+    def mass_edit_course(self,mapping):
+        #import pdb;pdb.set_trace()
+        course_id = mapping.get('code')
+        res = self.portal_catalog(id=course_id)
+        if not res:
+            return '', "No Course with ID: %s" % did
+        c = res[0].getObject()
+        c.getContent().edit(mapping=mapping)
+        return course_id,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_create_certificate') ###(
+    def mass_create_certificate(self,mapping):
+        if getattr(self,'_v_certificate_list',None) is None:
+            self._v_certificate_list = []
+        if getattr(self,'_v_departments',None) is None:
+            res = self.portal_catalog(portal_type = "Department")
+            self._v_departments = {}
+            for d in res:
+                self._v_departments[d.getId] = getattr(d.getObject(),"certificates",None)
+        did = mapping['department_code']
+        d = self._v_departments.get(did,None)
+        if d is None:
+            return '', "No Department with ID: %s" % did
+        certificate_id = mapping.get('code')
+        if certificate_id in self._v_certificate_list:
+            return '', "Duplicate Department ID: %s" % did
+        c = getattr(d,certificate_id,None)
+        if c is not None:
+            return '', "Duplicate Department ID: %s" % did
+        d.invokeFactory('Certificate', certificate_id)
+        self._v_certificate_list.append(certificate_id)
+        c = getattr(d,certificate_id)
+        c.getContent().edit(mapping=mapping)
+        return certificate_id,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_edit_certificate') ###(
+    def mass_edit_certificate(self,mapping):
+        #import pdb;pdb.set_trace()
+        certificate_id = mapping.get('code')
+        res = self.portal_catalog(id=certificate_id)
+        if not res:
+            return '', "No Certificate with ID: %s" % did
+        c = res[0].getObject()
+        c.getContent().edit(mapping=mapping)
+        return certificate_id,''
+    ###)
+
+    security.declareProtected(ModifyPortalContent,'mass_create_certificate_course') ###(
+    def mass_create_certificate_course(self,mapping):
+        if getattr(self,'_v_certificate_course_list',None) is None:
+            self._v_certificate_course_list = []
+        if getattr(self,'_v_ceritficates',None) is None:
+            res = self.portal_catalog(portal_type = "Certificate")
+            self._v_certificates = {}
+            for cert in res:
+                self._v_certificates[cert.getId] = cert.getObject()
+        cert_id = mapping['certificate_code']
+        cert = self._v_certificates.get(cert_id,None)
+        if cert is None:
+            return '', "No Certificate with ID: %s" % did
+        certificate_course_id = mapping.get('code')
+        if certificate_course_id in self._v_certificate_course_list:
+            return '', "Duplicate CertificateCourse ID: %s" % certificate_course_id
+        level_id = mapping.get('level')
+        level = getattr(cert,level_id,None)
+        if level is None:
+            cert.invokeFactory('StudyLevel', level_id)
+            level = getattr(cert,level_id,None)
+        elif hasattr(level,certificate_course_id):
+            return '', "Duplicate CertificateCourse ID: %s in %s/ %s" %\
+            (certificate_course_id,cert_id,level_id)
+        level.invokeFactory('CertificateCourse', certificate_course_id)
+        self._v_certificate_course_list.append(certificate_course_id)
+        c = getattr(level,certificate_course_id)
+        c.getContent().edit(mapping=mapping)
+        return certificate_course_id,''
     ###)
 
@@ -1300,5 +1381,5 @@
                 diff2layout = set(import_keys).difference(set(layout.keys()))
                 if diff2schema:
-                    em = "not ignorable key(s) %s found in heading" % diff2schema
+                    em = 'not ignorable key(s): "%s" found in heading' % ", ".join(diff2schema)
                     return em
                 s = ','.join(['"%s"' % fn for fn in import_keys])
Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 2281)
+++ WAeUP_SRP/base/Widgets.py	(revision 2282)
@@ -165,5 +165,5 @@
             value = datastructure[widget_id].upper()
             err = 0
-            res = self.portal_catalog(meta_type= "Course",id = value)
+            res = self.courses_catalog(code = value)
             if len(res) > 0:
                 err = 'Course already exists'
Index: WAeUP_SRP/base/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getFacultiesInfo.py	(revision 2281)
+++ WAeUP_SRP/base/skins/waeup_academics/getFacultiesInfo.py	(revision 2282)
@@ -43,5 +43,4 @@
     except AttributeError:
         continue
-            
 items.sort(cmp_id)
 info['items'] = items
Index: WAeUP_SRP/base/skins/waeup_default/get_csv_names.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/get_csv_names.py	(revision 2281)
+++ WAeUP_SRP/base/skins/waeup_default/get_csv_names.py	(revision 2282)
@@ -7,5 +7,7 @@
 files = context.waeup_tool.get_csv_filenames()
 if key is None:
-    return [(f[:-4],f) for f in files]
+    l = [(f[:-4],f) for f in files]
+    l.sort(cmp=lambda x,y: cmp(x[0].lower(), y[0].lower()))
+    return l
 
 return files[files.index("%s.csv" % key)]
Index: WAeUP_SRP/fceokene/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 2282)
@@ -9,5 +9,7 @@
   <object name="application_manage" meta_type="CPS Layout"/>
   <object name="certificate" meta_type="CPS Layout"/>
+  <object name="import_certificate" meta_type="CPS Layout"/>
   <object name="certificate_course" meta_type="CPS Layout"/>
+  <object name="import_certificate_course" meta_type="CPS Layout"/>
   <object name="course" meta_type="CPS Layout"/>
   <object name="import_course" meta_type="CPS Layout"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/course.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/course.xml	(revision 2282)
@@ -44,4 +44,16 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+ </widget>
+  <widget name="level" meta_type="String Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
  </widget>
  <widget name="credits" meta_type="Int Widget">
@@ -121,4 +133,7 @@
   </row>
   <row>
+   <cell name="level"/>
+  </row>
+  <row>
    <cell name="semester"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 2282)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate.xml	(revision 2282)
@@ -0,0 +1,176 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="certificate" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="title" meta_type="String Widget">
+  <property name="fields">
+   <element value="title"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="display_width">40</property>
+  <property name="size_max">200</property>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Certificate ID</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Certificate ID</property>
+  <property name="label_edit">Certificate ID</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+  <widget name="department_code" meta_type="String Widget">
+  <property name="title">Department Code</property>
+  <property name="fields">
+   <element value="department_code"/>
+  </property>
+  <property name="label">Department Code</property>
+  <property name="label_edit">Department Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+ <widget name="admin_status" meta_type="String Widget">
+  <property name="title">Admin Status</property>
+  <property name="fields">
+   <element value="admin_status"/>
+  </property>
+  <property name="label">Admin Status</property>
+  <property name="label_edit">Admin Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="category" meta_type="String Widget">
+  <property name="title">Category</property>
+  <property name="fields">
+   <element value="category"/>
+  </property>
+  <property name="label">Category</property>
+  <property name="label_edit">Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="end_level" meta_type="Select Widget">
+  <property name="title">End Level</property>
+  <property name="fields">
+   <element value="end_level"/>
+  </property>
+  <property name="label">End Level</property>
+  <property name="label_edit">End Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">levels</property>
+ </widget>
+ <widget name="max_pass" meta_type="Int Widget">
+  <property name="title">Maximum Pass</property>
+  <property name="fields">
+   <element value="max_pass"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Maximum Pass</property>
+  <property name="label_edit">Maximum Pass</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="nr_years" meta_type="Int Widget">
+  <property name="title">Nr of Years</property>
+  <property name="fields">
+   <element value="nr_years"/>
+  </property>
+  <property name="label">Nr of Years</property>
+  <property name="label_edit">Nr of Years</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="probation_credits" meta_type="Int Widget">
+  <property name="title">Probation  Credits</property>
+  <property name="fields">
+   <element value="probation_credits"/>
+  </property>
+  <property name="label">Probation Credits</property>
+  <property name="label_edit">Probation Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="promotion_credits" meta_type="Int Widget">
+  <property name="title">Promotion Credits</property>
+  <property name="fields">
+   <element value="promotion_credits"/>
+  </property>
+  <property name="label">Promotion Credits</property>
+  <property name="label_edit">Promotion Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="start_level" meta_type="Select Widget">
+  <property name="title">Start Level</property>
+  <property name="fields">
+   <element value="start_level"/>
+  </property>
+  <property name="label">Start Level</property>
+  <property name="label_edit">Start Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">levels</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="department_code"/>
+  </row>
+  <row>
+   <cell name="title"/>
+  </row>
+  <row>
+   <cell name="start_level"/>
+  </row>
+  <row>
+   <cell name="end_level"/>
+  </row>
+  <row>
+   <cell name="max_pass"/>
+  </row>
+  <row>
+   <cell name="max_load"/>
+  </row>
+  <row>
+   <cell name="promotion_credits"/>
+  </row>
+  <row>
+   <cell name="probation_credits"/>
+  </row>
+  <row>
+   <cell name="admin_status"/>
+  </row>
+  <row>
+   <cell name="category"/>
+  </row>
+  <row>
+   <cell name="nr_years"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml	(revision 2282)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_certificate_course.xml	(revision 2282)
@@ -0,0 +1,88 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="certificate_course" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="Title" meta_type="String Widget">
+  <property name="title">Title</property>
+  <property name="fields">
+   <element value="Title"/>
+  </property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Course Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Course Code</property>
+  <property name="label_edit">Course Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="level" meta_type="String Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="certificate_code" meta_type="String Widget">
+  <property name="title">Certificate Code</property>
+  <property name="fields">
+   <element value="certificate_code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Certificate  Code</property>
+  <property name="label_edit">Certificate Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="core_or_elective" meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property>
+  <property name="fields">
+   <element value="core_or_elective"/>
+  </property>
+  <property name="label">Core or Elective</property>
+  <property name="label_edit">Core or Elective</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">elective</property>
+  <property name="label_true">core</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="Title"/>
+  </row>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="core_or_elective"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_course.xml	(revision 2282)
@@ -8,5 +8,5 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-<widget name="code" meta_type="CourseId Widget">
+<widget name="code" meta_type="String Widget">
  <property name="title">Course Id</property>
  <property name="fields">
@@ -69,5 +69,5 @@
   <property name="display_width">60</property>
  </widget>
- <widget name="department_code" meta_type="String Widget">
+  <widget name="department_code" meta_type="String Widget">
   <property name="title">Department Code</property>
   <property name="fields">
@@ -76,4 +76,16 @@
   <property name="label">Department Code</property>
   <property name="label_edit">Department Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+  <widget name="level" meta_type="String Widget">
+  <property name="title">Level</property>
+  <property name="fields">
+   <element value="level"/>
+  </property>
+  <property name="label">Level</property>
+  <property name="label_edit">Level</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/fceokene/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 2282)
@@ -9,5 +9,7 @@
  <object name="application" meta_type="CPS Schema"/>
  <object name="certificate" meta_type="CPS Schema"/>
+ <object name="import_certificate" meta_type="CPS Schema"/>
  <object name="certificate_course" meta_type="CPS Schema"/>
+ <object name="import_certificate_course" meta_type="CPS Schema"/>
  <object name="import_course" meta_type="CPS Schema"/>
  <object name="course" meta_type="CPS Schema"/>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 2282)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate.xml	(revision 2282)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="certificate" meta_type="CPS Schema">
+ <field name="title" meta_type="CPS String Field"/>
+ <field name="admin_status" meta_type="CPS String Field"/>
+ <field name="category" meta_type="CPS String Field"/>
+ <field name="department_code" meta_type="CPS String Field" />
+ <field name="code" meta_type="CPS String Field" />
+ <field name="end_level" meta_type="CPS String Field"/>
+ <field name="max_load" meta_type="CPS Int Field"/>
+ <field name="max_pass" meta_type="CPS Int Field"/>
+ <field name="nr_years" meta_type="CPS Int Field"/>
+ <field name="probation_credits" meta_type="CPS Int Field"/>
+ <field name="promotion_credits" meta_type="CPS Int Field"/>
+ <field name="start_level" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml	(revision 2282)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_certificate_course.xml	(revision 2282)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="certificate_course" meta_type="CPS Schema">
+ <field name="code" meta_type="CPS String Field" />
+ <field name="certificate_code" meta_type="CPS String Field" />
+ <field name="level" meta_type="CPS String Field" />
+ <field name="core_or_elective" meta_type="CPS Boolean Field"/>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_course.xml	(revision 2282)
@@ -6,5 +6,4 @@
  <field name="code" meta_type="CPS String Field"/>
  <field name="credits" meta_type="CPS Int Field"/>
- <field name="org_code" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field">
   <property name="default_expr">python:40</property>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 2281)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 2282)
@@ -9,3 +9,6 @@
  <item key="faculty" msgid="">Faculty Data</item>
  <item key="department" msgid="">Department Data</item>
+ <item key="course" msgid="">Course Data</item>
+ <item key="certificate" msgid="">Certificate Data</item>
+ <item key="certificate_course" msgid="">Certificate Course Data</item>
 </object>